﻿.footer-contact-info-form-title{
    font-size: 25px;
    font-weight: bold;
}
.footer-contact-form-list{
  margin-bottom: 15px;
}
.footer-contact-form-list-title{
    font-size: 15px;
    display: inline-block;
    vertical-align: middle;
    width: 80px;
}
.footer-contact-form-text{
    display: inline-block;
    vertical-align: middle;
    height: 25px;
    background-color: inherit;
    border: 0;
    border-bottom: 1px solid #999;
    width: calc( 100% - 80px );
    max-width: 100%;
}
.footer-contact-form-list-textarea{
    display: inline-block;
    vertical-align: top;
    height: 50px;
    background-color: inherit;
    border: 0;
    border-bottom: 1px solid #999;
    width: 100%;
    resize: none;
    box-sizing: border-box;
}
.footer-button{
  text-align: right;
}
.footer-button input{
    border: 1px solid #999;
    background-color: inherit;
    padding: 5px 15px;
    cursor: pointer;
    transition: all .3s linear;
}
.footer-button input:hover{
    color: #36BF36;
    border: 1px solid #36BF36;

}
/*表單送出*/
.contact-thanks-box,
.alert-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
}
.contact-thanks-box.active,
.alert-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks,
.alert-info{
  background-color: #e6e6e6;
  position: relative;
  padding: 80px;
  border-radius: 5px;
  z-index: 6;
}
.alert-info-box{
  position: relative;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #000;
  display: block;
}
.contact-out,
.alert-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #000;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span,
.alert-out span{
  width: 15px;
  height: 1px;
  background-color: #000;
  display: block;
  margin: 0 auto;
  position: relative;
}
.alert-out{
  z-index: 6;
}
.contact-out span:nth-child(1),
.alert-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2),
.alert-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask,
.alert-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}

@media only screen and (max-width: 480px){

  .contact-thanks, .alert-info{
    width: 95%;
    box-sizing: border-box;
    margin: 0 auto;
  }
  .contact-thanks-p{
    font-size: 20px;
  }
}